<?php

    lt_include( PLOG_CLASS_PATH."plugins/atom/class/xml/atom/atomresponse.class.php" );
    
    /**
     * pre-defined error response, used mainly by the AtomServer class to report some
     * errors
     */
    class AtomErrorResponse extends AtomResponse
    {
    
        function AtomErrorResponse( $output = "", $httpErrorCode )
        {  
            // prepare some headers
            $headers = Array( "HTTP/1.0 $httpErrorCode", "Status: $httpErrorCode" );
            $this->AtomResponse( $output, $headers );
        }
        
        function getContentType()
        {
            // let's send responses in text/html...
            return ATOM_ERROR_MESSAGES_CONTENT_TYPE;
        }
        
        function isError()
        {
            return true;
        }
    }
?>